summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2009-09-10 16:10:50 +0000
committerKarl Berry <karl@freefriends.org>2009-09-10 16:10:50 +0000
commitf636ce5814bc157a4923b8c11277736238df7a11 (patch)
treebb4c27298c40364e8c44cacc0fa5819789375ac4 /Master/tlpkg/bin
parent5388445c70ce51b09729d5072a44a906b325b548 (diff)
update for 2009
git-svn-id: svn://tug.org/texlive/trunk@15209 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images20
1 files changed, 10 insertions, 10 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index 62485d41dcb..3a941a6d290 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -30,7 +30,7 @@ master=`cd ../.. && /bin/pwd`
test -z "$master" && exit 1
NAME=texlive
-V=2008
+V=2009
D=`date +%Y%m%d`
debug=${OVERRIDE_DEBUG-false}
@@ -66,7 +66,6 @@ mkdir -p $target
# case they come back.
common_mkisofs_options=" $quiet -pad -J -dir-mode 0755 -r \
-copyright LICENSE.TL \
- -x ./support/tests \
-x .svn \
"
@@ -81,16 +80,16 @@ MAKELIVE ()
rm -f $prefix-*.iso* $prefix-*.md5 $prefix-*.sha256
# The Master directory is the image.
- (cd $master && mkisofs $common_mkisofs_options -o $live_iso .)
+ (cd $master && mkisofs $common_mkisofs_options -o $live_iso .) || return
# also make compressed version, helps people downloading test images.
# this takes two hours or so, so write to a temp file and then rename.
- lzma -9 -v <$live_iso >$live_iso.lzma.part
- mv $live_iso.lzma.part $live_iso.lzma
+ xz -9 -v <$live_iso >$live_iso.xz.part
+ mv $live_iso.xz.part $live_iso.xz
# make checksums
# and symlinks with short names (potentially used in /etc/fstab).
- for ext in "" .lzma; do
+ for ext in "" .xz; do
rm -f $prefix.iso$ext $prefix.iso$ext.md5 $prefix.iso$ext.sha256
(cd $target && md5sum `basename $live_iso$ext`) >$live_iso$ext.md5
@@ -119,12 +118,12 @@ do_tar ()
else
verbose=
fi
- compress=--lzma
+ compress=--xz
tar_common_opt="--exclude-vcs $compress $verbose"
#
name=$1
shift
- tarfile=$target/$name.tar.lzma
+ tarfile=$target/$name.tar.xz
tar -cf "$tarfile" --owner=0 --group=0 \
--transform="s,^,$name/," $tar_common_opt \
"$@"
@@ -138,7 +137,8 @@ MAKETAR ()
rm -f $target/$NAME-*.tar.*
cd $master
- do_tar $NAME-$D-extra LICENSE* README* *.html install* release* tl-portable*
+ do_tar $NAME-$D-extra LICENSE* README* *.html install* re* \
+ tl-portable* tlpkg/TeXLive tlpkg/translations \
do_tar $NAME-$D-texmf texmf*
cd $master/../Build/source
@@ -154,7 +154,7 @@ MAKETAR ()
# Add our exact version to the release file.
printf "\ntexlive-$D\n" >>$master/release-texlive.txt
-$maketar && MAKETAR
+#$maketar && MAKETAR
$makelive && MAKELIVE
# Undo the version.